<?php require_once('../../Connections/cn.php'); ?>
<?php 
//Aqui quito caracteres que estan demas en el filtro que viene de otra pagina 
$sqlr = str_replace("`", "", $sqlr); 
$sqlr = str_replace("\'", '"', $sqlr); 
$sede=$_GET['sede'];
$carrera=$_GET['carrera'];
$seccion=$_GET['seccion'];
$materia=$_GET['materia'];
$id_periodo=$_GET['periodo'];

// Selecciono la Base de Datos. 
mysql_select_db($database_cn); 
mysql_query ("SET NAMES 'utf8'");
// Datos de la Materia.
$sql1 = "select nombre_materia from materias where id_materia='$materia'";
$rs1=mysql_query($sql1,$cn);
$row1=mysql_fetch_array($rs1);
$nom_materia=$row1['nombre_materia'];

// Datos del Per�odo.
$sql2 = "select * from periodos where id_periodo='$id_periodo'";
$rs2=mysql_query($sql2,$cn);
$row2=mysql_fetch_array($rs2);
$periodo=$row2['id_periodo'];
$descripcion_periodo=$row2['codigo'].' ('.$row2['tipo'].'/'.substr($row2['mes_inicio'],0,3).'-'.substr($row2['mes_fin'],0,3).')';

// Datos de la Carrera.
$sql3 = "select nombre_carrera from carreras where id_carrera='$carrera'";
$rs3=mysql_query($sql3,$cn);
$row3=mysql_fetch_array($rs3);
$nom_carrera=$row3['nombre_carrera'];

$sql4 = "select nombre_sede from sedes where codigo='$sede'";
$rs4=mysql_query($sql4,$cn);
$row4=mysql_fetch_array($rs4);
$nom_sede=$row4['nombre_sede'];



// Incluye la calses que se requieren para el reporte. 
error_reporting(E_ALL); 
include('class.ezpdf.php'); 
require('numerosALetras.class.php');

// Se establece el tipo de p�gina y el formato de impresi�n.
$pdf = & new Cezpdf('FOLIO','landscape'); 
$pdf->selectFont('./fonts/Helvetica'); 
// Se inicializa el contador de paginas en 1 y se especifica en que lugar se va a imprimir 
$pdf->ezStartPageNumbers(900,17,7,'','Pag.: '.'{PAGENUM}/{TOTALPAGENUM}',1); 

// coloca una linea arriba y abajo de todas las paginas 
$fechs = date("d/m/y"); 
$all = $pdf->openObject(); 
$pdf->saveState(); 
$pdf->setStrokeColor(0,0,0,1); 

// Se define el query de los datos que contendr� el reporte.
mysql_select_db($database_cn, $cn);
mysql_query ("SET NAMES 'utf8'");
$query = "SELECT alumnos.cedula,alumnos.apellidos, alumnos.nombres, historico_notas.eval1, historico_notas.eval2, historico_notas.eval3, historico_notas.eval4, historico_notas.eval5, historico_notas.eval6, historico_notas.eval7, historico_notas.eval8, historico_notas.eval9, historico_notas.eval10, historico_notas.eval11, historico_notas.eval12, historico_notas.eval13, historico_notas.eval14, historico_notas.eval15, historico_notas.eval16, historico_notas.corte_1, historico_notas.corte_2, historico_notas.corte_3, historico_notas.corte_4, historico_notas.acumulado, historico_notas.nota, historico_notas.id_docente, historico_notas.recuperacion, historico_notas.corte_sustituido, historico_notas.semestre, historico_notas.id FROM alumnos,historico_notas where alumnos.id_alumno=historico_notas.id_alumno and historico_notas.sede='$sede' and historico_notas.id_carrera='$carrera' and historico_notas.id_seccion='$seccion' and historico_notas.id_materia='$materia' and historico_notas.id_periodo='$periodo' order by alumnos.apellidos, alumnos.nombres";

// Ejecuta el Query.
$result = mysql_query ($query,$cn) or die (mysql_error()); 
$rstHistorico = mysql_fetch_assoc($result);
// Numero de Filas.
$totalRows = mysql_num_rows($result);
// Se obtienen los datos del docente que dict� la materia.
$id_docente=$rstHistorico['id_docente'];
$semestre=$rstHistorico['semestre'];

$sql5 = "select mencion from secciones where semestre='$semestre' and seccion='$seccion' and carrera='$carrera' and periodo='$id_periodo'";
$rs5=mysql_query($sql5,$cn);
$row5=mysql_fetch_array($rs5);
$mencion=$row5['mencion'];

if($mencion=="COMUN") $nombre_mencion="COMPONENTE GENERAL";
if($mencion=="ACE") $nombre_mencion="ADUANAS Y COMERCIO EXTERIOR";
if($mencion=="FIN") $nombre_mencion="FINANZAS PÚBLICAS";
if($mencion=="RT") $nombre_mencion="RENTAS";

$query_rstDocentes = "SELECT cedula,apellidos,nombres FROM docentes WHERE id_docente='$id_docente'";
$rstDocentes = mysql_query($query_rstDocentes, $cn) or die(mysql_error());
$row_rstDocentes = mysql_fetch_assoc($rstDocentes);
$cedula_docente=$row_rstDocentes['cedula'];
$nom_docente=$row_rstDocentes['nombres'].', '.$row_rstDocentes['apellidos'];
if($cedula_docente=='0'){
   $nom_docente='';
   }
// Reinicia la ejecuci�n del query.
$result = mysql_query ($query,$cn) or die (mysql_error()); 
// Inicio del Encabezado.
$imagen=ImageCreatefromjpeg('../../imagenes/logo_mppf.jpg');
$pdf->addImage($imagen,60,$pdf->y-25,250,0);
$imagen=ImageCreatefromjpeg('../../imagenes/enahp.jpg');
$pdf->addImage($imagen,720,$pdf->y-25,150,0);
$pdf->selectFont('/fonts/Helvetica.afm');
$diff=array(225=>'aacute',233=>'eacute',
            237=>'iacute',243=>'oacute',
            250=>'uacute',252=>'udieresis',
            241=>'ntilde',209=>'Ntilde');
$pdf->selectFont('fonts/Helvetica.afm',array('encoding'=>'WinAnsiEncoding','differences'=>$diff));
$pdf->ezsetdy(-25);
$pdf->ezText(utf8_decode("<b>Dirección de Secretaría General - Unidad de Control de Estudios de Pregrado</b>"),9,array('justification'=>'center'));
$pdf->ezsetdy(-20);
$pdf->ezText(utf8_decode('<b>'."R E G I S T R O  D E  E V A L U A C I Ó N  A C U M U L A D A".'</b>'),12,array('justification'=>'center'));
$pdf->ezsetdy(-10);
$pdf->ezText('<b>'."CARRERA: ".'</b>'.$carrera.":".utf8_decode($nom_carrera),9,array('justification'=>'left'));
$pdf->ezsetdy(-3);
$pdf->ezText('<b>'.utf8_decode("MENCIÓN: ").'</b>'.$nombre_mencion,9,array('justification'=>'left'));
$pdf->ezsetdy(-3);
$pdf->ezText('<b>'."UNIDAD CURRICULAR: ".'</b>'.$materia.":".utf8_decode($nom_materia),9,array('justification'=>'left'));
$pdf->ezsetdy(-3);

$pdf->ezText('<b>'.utf8_decode("SEMESTRE: ").'</b>'.$semestre.'<b>'.utf8_decode("     SECCIÓN: ").'</b>'.$seccion.'<b>'.utf8_decode("     SEDE: ").'</b>'.$nom_sede.'<b>'.utf8_decode("     LAPSO: ").'</b>'.$descripcion_periodo.'<b>'.utf8_decode("     INSCRITOS: ").'</b>'.$totalRows,9 ,array('justification'=>'left'));
$pdf->addText(950,632,8,utf8_decode("FECHA DE IMPRESIÓN: ").date("d/m/Y"));
// Fin del Encabezado.
// Inicio del Pie de P�gina.
pie_pagina($pdf, $cedula_docente, $nom_docente);
// Fin del Pie de P�gina.

// Se restaura el objeto y se cierra, para que de el salto de p�gina.
$pdf->restoreState(); 
$pdf->closeObject(); 
// Establece los margenes para imprimir el cuerpo del reporte.
$pdf->ezSetCmMargins(5.8,1.5,1.5,1);
$pdf->addObject($all,'all'); 

// Inicializa array 
$data = array(); 
//Aqui se coloca el header de la Tabla 

$cols = array('nro'=>'Nro.', 
			  'cedula'=>utf8_decode('Cédula'), 
              'apellidosynombres'=>'Apellidos y Nombres', 
              'eval1'=>utf8_decode('Eval. 1'),
			  'eval2'=>utf8_decode('Eval. 2'),
			  'eval3'=>utf8_decode('Eval. 3'),
			  'eval4'=>utf8_decode('Eval. 4'),
			  'corte1'=>utf8_decode('CORTE 1'),
			  'eval5'=>utf8_decode('Eval. 5'),
			  'eval6'=>utf8_decode('Eval. 6'),
			  'eval7'=>utf8_decode('Eval. 7'),
			  'eval8'=>utf8_decode('Eval. 8'),
			  'corte2'=>utf8_decode('CORTE 2'),
			  'eval9'=>utf8_decode('Eval. 9'),
			  'eval10'=>utf8_decode('Eval. 10'),
			  'eval11'=>utf8_decode('Eval. 11'),
			  'eval12'=>utf8_decode('Eval. 12'),
			  'corte3'=>utf8_decode('CORTE 3'),
			  'rec'=>utf8_decode('REC.'),
			  'eval13'=>utf8_decode('Eval. 13'),
			  'eval14'=>utf8_decode('Eval. 14'),
			  'eval15'=>utf8_decode('Eval. 15'),
			  'eval16'=>utf8_decode('Eval. 16'),
			  'corte4'=>utf8_decode('CORTE 4'),
			  'acumulado'=>utf8_decode('V.A.'),
			  'nota'=>utf8_decode('1-20')); 
$smc = 0; 
// Convierte la Nota a Letras.

while ($row = mysql_fetch_row($result)) { 
    $corte_sustituido=$row[27];
    $ced      = $row[0];    // cedula 
    $apeynom  = $row[1].', '.$row[2]; // apellidos y nombres 
    $eval1      = $row[3];    // nota
	$eval2      = $row[4];
	$eval3      = $row[5];
	$eval4      = $row[6];
	$eval5      = $row[7];
	$eval6      = $row[8];
	$eval7     = $row[9];
	$eval8     = $row[10];
	$eval9     = $row[11];
	$eval10     = $row[12];
	$eval11    = $row[13];
	$eval12     = $row[14];
	$eval13     = $row[15];
	$eval14    = $row[16];
	$eval15     = $row[17];
	$eval16    = $row[18];
	
	$id=$row[29];
	
	$acumulado=$row[19]+$row[20]+$row[21]+$row[22];
	if($corte_sustituido==1){
	   $corte1=$row[19]." (Rec.)";
	   if($row[26]>=1) $acumulado=($acumulado-$row[19])+$row[26];
	}
	else{  
	   $corte1    = $row[19];
	}   
	if($corte_sustituido==2){
	   $corte2=$row[20]." (Rec.)";
	   if($row[26]>=1) $acumulado=($acumulado-$row[20])+$row[26];
	}
	else{  
	   $corte2    = $row[20];
	}
	if($corte_sustituido==3){
	   $corte3=$row[21]." (Rec.)";
	   if($row[26]>=1) $acumulado=($acumulado-$row[21])+$row[26];
	}
	else{  
	   $corte3    = $row[21];
	}
	$corte4    = $row[22];
	// $acumulado    = $row[23];
	
	$rec      = $row[26];
	
    $acumulado1Dec=round($acumulado,1);
    $acumuladoInt=round($acumulado1Dec);
    $definitiva=1;
	if($acumuladoInt>=1 && $acumuladoInt<=5){
	  $definitiva=1;
	} elseif ($acumuladoInt>=6 && $acumuladoInt<=11){
	   $definitiva=2;
	} elseif ($acumuladoInt>=12 && $acumuladoInt<=17){
	   $definitiva=3;
	} elseif ($acumuladoInt>=18 && $acumuladoInt<=23){
	   $definitiva=4;
	} elseif ($acumuladoInt>=24 && $acumuladoInt<=29){
	   $definitiva=5;
	} elseif ($acumuladoInt>=30 && $acumuladoInt<=34){
	   $definitiva=6;
	} elseif ($acumuladoInt>=35 && $acumuladoInt<=39){
	   $definitiva=7;
	} elseif ($acumuladoInt>=40 && $acumuladoInt<=44){
	   $definitiva=8;
	} elseif ($acumuladoInt>=45 && $acumuladoInt<=49){
	   $definitiva=9;
	} elseif ($acumuladoInt>=50 && $acumuladoInt<=54){
	   $definitiva=10;
	} elseif ($acumuladoInt>=55 && $acumuladoInt<=59){
	   $definitiva=11;
	} elseif ($acumuladoInt>=60 && $acumuladoInt<=64){
	   $definitiva=12;
	} elseif ($acumuladoInt>=65 && $acumuladoInt<=69){
	   $definitiva=13;
	} elseif ($acumuladoInt>=70 && $acumuladoInt<=74){
	   $definitiva=14;
	} elseif ($acumuladoInt>=75 && $acumuladoInt<=79){
	   $definitiva=15;
	} elseif ($acumuladoInt>=80 && $acumuladoInt<=84){
	   $definitiva=16;
	} elseif ($acumuladoInt>=85 && $acumuladoInt<=88){
	   $definitiva=17;
	} elseif ($acumuladoInt>=89 && $acumuladoInt<=92){
	   $definitiva=18;
	} elseif ($acumuladoInt>=93 && $acumuladoInt<=96){
	   $definitiva=19;
	} elseif ($acumuladoInt>=97 && $acumuladoInt<=100){
	   $definitiva=20;
	}
 
        $sql = "update `historico_notas` set acumulado='$acumulado', nota='$definitiva'  where id='$id'";
        mysql_query($sql, $cn) or die(mysql_error());
	/*$nota->convertir($row[3]);
	$enlet=strtoupper($nota->resultado); */
	$nota      = $definitiva;
    $smc = $smc + 1; 
    // Aqui se agregan las variables formateadas al array 
    $data[] = array('nro'=>$smc,
	                'cedula'=>$ced, 
                    'apellidosynombres'=>utf8_decode($apeynom), 
                    'eval1'=>$eval1,
					'eval2'=>$eval2,
					'eval3'=>$eval3,
					'eval4'=>$eval4,
					'corte1'=>$corte1,
					'eval5'=>$eval5,
					'eval6'=>$eval6,
					'eval7'=>$eval7,
					'eval8'=>$eval8,
					'corte2'=>$corte2,
					'eval9'=>$eval9,
					'eval10'=>$eval10,
					'eval11'=>$eval11,
					'eval12'=>$eval12,
					'corte3'=>$corte3,
					'rec'=>$rec,
					'eval13'=>$eval13,
					'eval14'=>$eval14,
					'eval15'=>$eval15,
					'eval16'=>$eval16,
					'corte4'=>$corte4,
					'acumulado'=>number_format($acumulado,2,",","."),
					'nota'=>str_pad($nota,2,0,STR_PAD_LEFT)); 
					
} 
					
$pdf->ezTable($data,$cols,'',array('width'=>'900','fontSize'=>5.5, 
'cols'=>array('nro'=>array('justification'=>'center') 
			 ,'cedula'=>array('justification'=>'right') 
             ,'apellidosynombres'=>array('justification'=>'left') 
             ,'eval1'=>array('justification'=>'center')
			 ,'eval2'=>array('justification'=>'center')
			 ,'eval3'=>array('justification'=>'center')
			 ,'eval4'=>array('justification'=>'center')
			 ,'corte1'=>array('justification'=>'center')
			 ,'eval5'=>array('justification'=>'center')
			 ,'eval6'=>array('justification'=>'center')
			 ,'eval7'=>array('justification'=>'center')
			 ,'eval8'=>array('justification'=>'center')
			 ,'corte2'=>array('justification'=>'center')
			 ,'eval9'=>array('justification'=>'center')
			 ,'eval10'=>array('justification'=>'center')
			 ,'eval11'=>array('justification'=>'center')
			 ,'eval12'=>array('justification'=>'center')
			 ,'corte3'=>array('justification'=>'center')
			 ,'eval13'=>array('justification'=>'center')
			 ,'eval14'=>array('justification'=>'center')
			 ,'eval15'=>array('justification'=>'center')
			 ,'eval16'=>array('justification'=>'center')
			 ,'corte4'=>array('justification'=>'center')
			 ,'acumulado'=>array('justification'=>'right')
			 ,'nota'=>array('justification'=>'center')) 
));// salida 

if (isset($d) && $d){ 
	$pdfcode = $pdf->ezOutput(); 
	$pdfcode = str_replace('\n','\n<br>',htmlspecialchars($pdfcode)); 
	echo '<html><body>'; 
	echo trim($pdfcode); 
	echo '</body></html>'; 
} else { 
	$pdf->ezStream(); 
} 

function pie_pagina($pdf, $id_docente, $nom_docente)
{
    // Facilitador(a).
	if($id_docente=='0'){
	   $id_docente='';
	  }
    $pdf->Rectangle(25,25,885,50);
    $pdf->addText(450,65,8,'Datos del Docente');
	$pdf->line(25,60,910,60); 
	$pdf->addText(65,50,8,'Nombres y Apellidos: ');
	$pdf->addText(350,50,8,utf8_decode('Cédula o Pasaporte'));
	$pdf->addText(500,50,8,'Firma');
	$pdf->addText(70,35,8,utf8_decode($nom_docente));
	$pdf->addText(350,35,8,$id_docente);
	$pdf->addText(500,30,7,'___________________________________________________________ ');
}

function nota_en_letras($nota)
{
   // Extraigo la parte entera y la parte decimal de la Nota.
   $entero=substr($nota,0,1);
   $decimal=substr($nota,2,2);
  
   // Convierto la Parte entera de la Nota en letras.
   switch ($entero)
   {
   	   case 0:
	    $entero_en_letras='CERO';
		break;	
	  case 1:
	    $entero_en_letras='UNO';
		break;	
	  case 2:
	  	$entero_en_letras='DOS';
		break;
	  case 3:
	  	$entero_en_letras='TRES';
		break;
	  case 4:
	  	$entero_en_letras='CUATRO';
		break;
	  case 5:
	  	$entero_en_letras='CINCO';
		break;
   }
   // Convierto la Parte Decimal de la Nota en letras. 
   switch ($decimal)
   {
    case 00:
	    $decimal_en_letras='';
		break;					 
	case 01:
	    $decimal_en_letras='CERO UNO';
		break;	
	case 02:
	    $decimal_en_letras='CERO DOS';
		break;	
	case 03:
	    $decimal_en_letras='CERO TRES';
		break;
	case 04:
	    $decimal_en_letras='CERO CUATRO';
		break;	
	case 05:
	    $decimal_en_letras='CERO CINCO';
		break;	
	case 06:
	    $decimal_en_letras='CERO SEIS';
		break;	
	case 07:
	    $decimal_en_letras='CERO SIETE';
		break;	
	case 08:
	    $decimal_en_letras='CERO OCHO';
		break;	
	case 09:
	    $decimal_en_letras='CERO NUEVE';
		break;	
	case 10:
	    $decimal_en_letras='DIEZ';
		break;	
	case 11:
	    $decimal_en_letras='ONCE';
		break;	
	case 12:
	    $decimal_en_letras='DOCE';
		break;	
	case 13:
	    $decimal_en_letras='TRECE';
		break;	
	case 14:
	    $decimal_en_letras='CATORCE';
		break;	
	case 15:
	    $decimal_en_letras='QUINCE';
		break;	
	case 16:
	    $decimal_en_letras='DIECISEIS';
		break;	
	case 17:
	    $decimal_en_letras='DIECISIETE';
		break;	
	case 18:
	    $decimal_en_letras='DIECIOCHO';
		break;	
	case 19:
	    $decimal_en_letras='DIECINUEVE';
		break;	
	case 20:
	    $decimal_en_letras='VEINTE';
		break;	
	case 21:
	    $decimal_en_letras='VEINTIUNO';
		break;	
	case 22:
	    $decimal_en_letras='VEINTIDOS';
		break;
	case 23:
	    $decimal_en_letras='VEINTITRES';
		break;
	case 24:
	    $decimal_en_letras='VEINTICUATRO';
		break;
	case 25:
	    $decimal_en_letras='VEINTICINCO';
		break;
	case 26:
	    $decimal_en_letras='VEINTISEIS';
		break;
	case 27:
	    $decimal_en_letras='VEINTISIETE';
		break;
	case 28:
	    $decimal_en_letras='VEINTIOCHO';
		break;
	case 29:
	    $decimal_en_letras='VEINTINUEVE';
		break;
	case 30:
	    $decimal_en_letras='TREINTA';
		break;	
	case 31:
	    $decimal_en_letras='TREINTA Y UNO';
		break;
	case 32:
	    $decimal_en_letras='TREINTA Y DOS';
		break;
	case 33:
	    $decimal_en_letras='TREINTA Y TRES';
		break;
	case 34:
	    $decimal_en_letras='TREINTA Y CUATRO';
		break;
	case 35:
	    $decimal_en_letras='TREINTA Y CINCO';
		break;
	case 36:
	    $decimal_en_letras='TREINTA Y SEIS';
		break;
	case 37:
	    $decimal_en_letras='TREINTA Y SIETE';
		break;
	case 38:
	    $decimal_en_letras='TREINTA Y OCHO';
		break;	
	case 39:
	    $decimal_en_letras='TREINTA Y NUEVE';
		break;	
	case 40:
	    $decimal_en_letras='CUARENTA';
		break;	
	case 41:
	    $decimal_en_letras='CUARENTA Y UNO';
		break;	
	case 42:
	    $decimal_en_letras='CUARENTA Y DOS';
		break;	
	case 43:
	    $decimal_en_letras='CUARENTA Y TRES';
		break;	
	case 44:
	    $decimal_en_letras='CUARENTA Y CUATRO';
		break;	
	case 45:
	    $decimal_en_letras='CUARENTA Y CINCO';
		break;	
	case 46:
	    $decimal_en_letras='CUARENTA Y SEIS';
		break;	
	case 47:
	    $decimal_en_letras='CUARENTA Y SIETE';
		break;	
	case 48:
	    $decimal_en_letras='CUARENTA Y OCHO';
		break;	
	case 49:
	    $decimal_en_letras='CUARENTA Y NUEVE ';
		break;	
	case 50:
	    $decimal_en_letras='CINCUENTA';
		break;	
	case 51:
	    $decimal_en_letras='CINCUENTA Y UNO';
		break;	
	case 52:
	    $decimal_en_letras='CINCUENTA Y DOS';
		break;	
	case 53:
	    $decimal_en_letras='CINCUENTA Y TRES';
		break;	
	case 54:
	    $decimal_en_letras='CINCUENTA Y CUATRO';
		break;	
	case 55:
	    $decimal_en_letras='CINCUENTA Y CINCO';
		break;	
	case 56:
	    $decimal_en_letras='CINCUENTA Y SEIS';
		break;	
	case 57:
	    $decimal_en_letras='CINCUENTA Y SIETE';
		break;	
	case 58:
	    $decimal_en_letras='CINCUENTA Y OCHO';
		break;	
	case 59:
	    $decimal_en_letras='CINCUENTA Y NUEVE';
		break;	
	case 60:
	    $decimal_en_letras='SESENTA';
		break;	
	case 61:
	    $decimal_en_letras='SESENTA Y UNO';
		break;	
	case 62:
	    $decimal_en_letras='SESENTA Y DOS';
		break;	
	case 63:
	    $decimal_en_letras='SESENTA Y TRES';
		break;	
	case 64:
	    $decimal_en_letras='SESENTA Y CUATRO';
		break;	
	case 65:
	    $decimal_en_letras='SESENTA Y CINCO';
		break;	
	case 66:
	    $decimal_en_letras='SESENTA Y SEIS';
		break;	
	case 67:
	    $decimal_en_letras='SESENTA Y SIETE';
		break;	
	case 68:
	    $decimal_en_letras='SESENTA Y OCHO';
		break;	
	case 69:
	    $decimal_en_letras='SESENTA Y NUEVE';
		break;	
	case 70:
	    $decimal_en_letras='SETENTA';
		break;	
	case 71:
	    $decimal_en_letras='SETENTA Y UNO';
		break;	
	case 72:
	    $decimal_en_letras='SETENTA Y DOS';
		break;	
	case 73:
	    $decimal_en_letras='SETENTA Y TRES';
		break;	
	case 74:
	    $decimal_en_letras='SETENTA Y CUATRO';
		break;	
	case 75:
	    $decimal_en_letras='SETENTA Y CINCO';
		break;	
	case 76:
	    $decimal_en_letras='SETENTA Y SEIS';
		break;	
	case 77:
	    $decimal_en_letras='SETENTA Y SIETE';
		break;	
	case 78:
	    $decimal_en_letras='SETENTA Y OCHO';
		break;	
	case 79:
	    $decimal_en_letras='SETENTA Y NUEVE';
		break;	
	case 80:
	    $decimal_en_letras='OCHENTA';
		break;	
	case 81:
	    $decimal_en_letras='OCHENTA Y UNO';
		break;	
	case 82:
	    $decimal_en_letras='OCHENTA Y DOS';
		break;	
	case 83:
	    $decimal_en_letras='OCHENTA Y TRES';
		break;	
	case 84:
	    $decimal_en_letras='OCHENTA Y CUATRO';
		break;	
	case 85:
	    $decimal_en_letras='OCHENTA Y CINCO';
		break;	
	case 86:
	    $decimal_en_letras='OCHENTA Y SEIS';
		break;	
	case 87:
	    $decimal_en_letras='OCHENTA Y SIETE';
		break;	
	case 88:
	    $decimal_en_letras='OCHENTA Y OCHO';
		break;	
	case 89:
	    $decimal_en_letras='OCHENTA Y NUEVE';
		break;	
	case 90:
	    $decimal_en_letras='NOVENTA';
		break;	
	case 91:
	    $decimal_en_letras='NOVENTA Y UNO';
		break;	
	case 92:
	    $decimal_en_letras='NOVENTA Y DOS';
		break;	
	case 93:
	    $decimal_en_letras='NOVENTA Y TRES';
		break;	
	case 94:
	    $decimal_en_letras='NOVENTA Y CUATRO';
		break;	
	case 95:
	    $decimal_en_letras='NOVENTA Y CINCO';
		break;	
	case 96:
	    $decimal_en_letras='NOVENTA Y SEIS';
		break;	
	case 97:
	    $decimal_en_letras='NOVENTA Y SIETE';
		break;	
	case 98:
	    $decimal_en_letras='NOVENTA Y OCHO';
		break;	
	case 99:
	    $decimal_en_letras='NOVENTA Y NUEVE';
		break;	
	default:    
		$decimal_en_letras='';
		break;	
   }
   $en_letras=$entero_en_letras.' '.$decimal_en_letras;			     
   return $en_letras;
}
?> 